/* -----------------------------------------------
 * MainForm.cs
 * Author: Alex Nesterov
 * --------------------------------------------- */

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace Logger
{
	/// <summary>
	/// Application's main form.
	/// </summary>
	class MainForm : Form
	{
		private Genetibase.UI.NuGenMeters.NuGenMeterGeneric cpuTimeMeter;
		private Genetibase.UI.NuGenMeters.NuGenMeterGeneric idleTimeMeter;
		private Genetibase.UI.NuGenMeters.NuGenLog nuGenLog;
		private System.ComponentModel.IContainer components;
		#region Declarations


		#endregion

		#region Constructors

		/// <summary>
		/// Initializes a new instance of the <see cref="MainForm"/> class.
		/// </summary>
		public MainForm()
		{
			InitializeComponent();
		}
		
		#endregion

		#region Dispose

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose(bool disposing)
		{
			if (disposing)
			{
				if (components != null) components.Dispose();
			}
			
			base.Dispose(disposing);
		}
		
		#endregion

		#region Windows Form Designer generated code
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			this.cpuTimeMeter = new Genetibase.UI.NuGenMeters.NuGenMeterGeneric();
			this.idleTimeMeter = new Genetibase.UI.NuGenMeters.NuGenMeterGeneric();
			this.nuGenLog = new Genetibase.UI.NuGenMeters.NuGenLog(this.components);
			this.SuspendLayout();
			// 
			// cpuTimeMeter
			// 
			this.cpuTimeMeter.CaptionText = "% Processor Time";
			this.cpuTimeMeter.CaptionTextBackColor = System.Drawing.SystemColors.Control;
			this.cpuTimeMeter.CaptionTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(204)));
			this.cpuTimeMeter.CaptionTextForeColor = System.Drawing.SystemColors.ControlText;
			this.cpuTimeMeter.CategoryName = "Processor";
			this.cpuTimeMeter.CounterFormat = "%";
			this.cpuTimeMeter.CounterName = "% Processor Time";
			this.cpuTimeMeter.InstanceName = "_Total";
			this.cpuTimeMeter.Location = new System.Drawing.Point(8, 8);
			this.nuGenLog.SetLog(this.cpuTimeMeter, true);
			this.cpuTimeMeter.MachineName = ".";
			this.cpuTimeMeter.Name = "cpuTimeMeter";
			this.cpuTimeMeter.ProgressTextBackColor = System.Drawing.SystemColors.Control;
			this.cpuTimeMeter.ProgressTextBorderColor = System.Drawing.Color.Black;
			this.cpuTimeMeter.ProgressTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(204)));
			this.cpuTimeMeter.ProgressTextForeColor = System.Drawing.SystemColors.ControlText;
			this.cpuTimeMeter.Size = new System.Drawing.Size(112, 192);
			this.cpuTimeMeter.TabIndex = 0;
			// 
			// idleTimeMeter
			// 
			this.idleTimeMeter.CaptionText = "% Idle Time";
			this.idleTimeMeter.CaptionTextBackColor = System.Drawing.SystemColors.Control;
			this.idleTimeMeter.CaptionTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(204)));
			this.idleTimeMeter.CaptionTextForeColor = System.Drawing.SystemColors.ControlText;
			this.idleTimeMeter.CategoryName = "Processor";
			this.idleTimeMeter.CounterFormat = "%";
			this.idleTimeMeter.CounterName = "% Idle Time";
			this.idleTimeMeter.InstanceName = "_Total";
			this.idleTimeMeter.Location = new System.Drawing.Point(128, 8);
			this.nuGenLog.SetLog(this.idleTimeMeter, true);
			this.idleTimeMeter.MachineName = ".";
			this.idleTimeMeter.Name = "idleTimeMeter";
			this.idleTimeMeter.ProgressTextBackColor = System.Drawing.SystemColors.Control;
			this.idleTimeMeter.ProgressTextBorderColor = System.Drawing.Color.Black;
			this.idleTimeMeter.ProgressTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(204)));
			this.idleTimeMeter.ProgressTextForeColor = System.Drawing.SystemColors.ControlText;
			this.idleTimeMeter.Size = new System.Drawing.Size(112, 192);
			this.idleTimeMeter.TabIndex = 1;
			// 
			// nuGenLog
			// 
			this.nuGenLog.LogOutput = "output.log";
			this.nuGenLog.MaxLogFileSize = ((long)(2));
			this.nuGenLog.SplitLogFile = true;
			// 
			// MainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(250, 200);
			this.Controls.Add(this.idleTimeMeter);
			this.Controls.Add(this.cpuTimeMeter);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.MaximizeBox = false;
			this.Name = "MainForm";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "Logger";
			this.ResumeLayout(false);

		}
		
		#endregion
	}
}
