/* -----------------------------------------------
 * MainForm.cs
 * Author: Alex Nesterov
 * --------------------------------------------- */

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace MeterDemo
{
	/// <summary>
	/// Application's main form.
	/// </summary>
	class MainForm : Form
	{
		#region Declarations
	
		private Container components = null;
		private Genetibase.UI.NuGenMeters.NuGenMeterGeneric nuGenMeterGeneric4;
		private Genetibase.UI.NuGenMeters.NuGenMeterGeneric nuGenMeterGeneric5;
		private Genetibase.UI.NuGenMeters.NuGenMeterGeneric nuGenMeterGeneric2;
		private Genetibase.UI.NuGenMeters.NuGenMeterGeneric nuGenMeterGeneric6;
		private Genetibase.UI.NuGenMeters.NuGenMeterGeneric nuGenMeterGeneric1;
		private System.Windows.Forms.Button enableButton;

		#endregion

		#region EventHandlers

		private void enableButton_Click(object sender, System.EventArgs e)
		{
			this.nuGenMeterGeneric1.Enabled = !this.nuGenMeterGeneric1.Enabled;

			if (this.nuGenMeterGeneric1.Enabled) 
			{
				this.enableButton.Text = "&Disable";
			}
			else
			{
				this.enableButton.Text = "&Enable";
			}
		}

		#endregion

		#region Constructors

		/// <summary>
		/// Initializes a new instance of the <see cref="MainForm"/> class.
		/// </summary>
		public MainForm()
		{
			InitializeComponent();
		}
		
		#endregion

		#region Dispose

		/// <summary> 
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose(bool disposing)
		{
			if (disposing)
			{
				if (components != null) components.Dispose();
			}
			
			base.Dispose(disposing);
		}
		
		#endregion

		#region Windows Form Designer generated code
		
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(MainForm));
			this.nuGenMeterGeneric4 = new Genetibase.UI.NuGenMeters.NuGenMeterGeneric();
			this.nuGenMeterGeneric5 = new Genetibase.UI.NuGenMeters.NuGenMeterGeneric();
			this.nuGenMeterGeneric2 = new Genetibase.UI.NuGenMeters.NuGenMeterGeneric();
			this.nuGenMeterGeneric6 = new Genetibase.UI.NuGenMeters.NuGenMeterGeneric();
			this.nuGenMeterGeneric1 = new Genetibase.UI.NuGenMeters.NuGenMeterGeneric();
			this.enableButton = new System.Windows.Forms.Button();
			this.SuspendLayout();
			// 
			// nuGenMeterGeneric4
			// 
			this.nuGenMeterGeneric4.BackGradientEndColor = System.Drawing.Color.Navy;
			this.nuGenMeterGeneric4.BackGradientStartColor = System.Drawing.Color.White;
			this.nuGenMeterGeneric4.BackgroundColor = System.Drawing.Color.Red;
			this.nuGenMeterGeneric4.CaptionText = "% Processor Time";
			this.nuGenMeterGeneric4.CaptionTextBackColor = System.Drawing.SystemColors.Control;
			this.nuGenMeterGeneric4.CaptionTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.nuGenMeterGeneric4.CaptionTextForeColor = System.Drawing.SystemColors.ControlText;
			this.nuGenMeterGeneric4.CategoryName = "Processor";
			this.nuGenMeterGeneric4.CounterFormat = "%";
			this.nuGenMeterGeneric4.CounterName = "% Processor Time";
			this.nuGenMeterGeneric4.ForegroundColor = System.Drawing.Color.White;
			this.nuGenMeterGeneric4.ForegroundStyle = Genetibase.Shared.NuGenBackgroundStyle.VerticalGradient;
			this.nuGenMeterGeneric4.GradientEndColor = System.Drawing.Color.White;
			this.nuGenMeterGeneric4.GradientStartColor = System.Drawing.Color.Maroon;
			this.nuGenMeterGeneric4.InstanceName = "_Total";
			this.nuGenMeterGeneric4.Location = new System.Drawing.Point(344, 112);
			this.nuGenMeterGeneric4.MachineName = ".";
			this.nuGenMeterGeneric4.Name = "nuGenMeterGeneric4";
			this.nuGenMeterGeneric4.Orientation = Genetibase.Shared.NuGenOrientationStyle.Horizontal;
			this.nuGenMeterGeneric4.ProgressTextBackColor = System.Drawing.SystemColors.Control;
			this.nuGenMeterGeneric4.ProgressTextBorderColor = System.Drawing.Color.Black;
			this.nuGenMeterGeneric4.ProgressTextEdgeIndent = 50;
			this.nuGenMeterGeneric4.ProgressTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.nuGenMeterGeneric4.ProgressTextForeColor = System.Drawing.SystemColors.ControlText;
			this.nuGenMeterGeneric4.ProgressTextOrientation = Genetibase.Shared.NuGenOrientationStyle.Vertical;
			this.nuGenMeterGeneric4.Size = new System.Drawing.Size(232, 104);
			this.nuGenMeterGeneric4.TabIndex = 3;
			this.nuGenMeterGeneric4.TickLine = false;
			// 
			// nuGenMeterGeneric5
			// 
			this.nuGenMeterGeneric5.CaptionText = "% Processor Time";
			this.nuGenMeterGeneric5.CaptionTextBackColor = System.Drawing.SystemColors.Control;
			this.nuGenMeterGeneric5.CaptionTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.nuGenMeterGeneric5.CaptionTextForeColor = System.Drawing.SystemColors.ControlText;
			this.nuGenMeterGeneric5.CategoryName = "Processor";
			this.nuGenMeterGeneric5.CounterFormat = "%";
			this.nuGenMeterGeneric5.CounterName = "% Processor Time";
			this.nuGenMeterGeneric5.InstanceName = "_Total";
			this.nuGenMeterGeneric5.Location = new System.Drawing.Point(8, 8);
			this.nuGenMeterGeneric5.MachineName = ".";
			this.nuGenMeterGeneric5.Name = "nuGenMeterGeneric5";
			this.nuGenMeterGeneric5.ProgressTextBackColor = System.Drawing.SystemColors.Control;
			this.nuGenMeterGeneric5.ProgressTextBorderColor = System.Drawing.Color.Black;
			this.nuGenMeterGeneric5.ProgressTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.nuGenMeterGeneric5.ProgressTextForeColor = System.Drawing.SystemColors.ControlText;
			this.nuGenMeterGeneric5.Size = new System.Drawing.Size(104, 208);
			this.nuGenMeterGeneric5.TabIndex = 4;
			// 
			// nuGenMeterGeneric2
			// 
			this.nuGenMeterGeneric2.BackgroundStyle = Genetibase.Shared.NuGenBackgroundStyle.Constant;
			this.nuGenMeterGeneric2.BorderStyle = Genetibase.Shared.NuGenBorderStyle.Bump;
			this.nuGenMeterGeneric2.CaptionText = "% Processor Time";
			this.nuGenMeterGeneric2.CaptionTextBackColor = System.Drawing.SystemColors.Control;
			this.nuGenMeterGeneric2.CaptionTextBorderStyle = Genetibase.Shared.NuGenBorderStyle.SunkenOuter;
			this.nuGenMeterGeneric2.CaptionTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.nuGenMeterGeneric2.CaptionTextForeColor = System.Drawing.SystemColors.ControlText;
			this.nuGenMeterGeneric2.CategoryName = "Processor";
			this.nuGenMeterGeneric2.CounterFormat = "%";
			this.nuGenMeterGeneric2.CounterName = "% Processor Time";
			this.nuGenMeterGeneric2.ForegroundStyle = Genetibase.Shared.NuGenBackgroundStyle.Constant;
			this.nuGenMeterGeneric2.InstanceName = "_Total";
			this.nuGenMeterGeneric2.Location = new System.Drawing.Point(120, 8);
			this.nuGenMeterGeneric2.MachineName = ".";
			this.nuGenMeterGeneric2.Name = "nuGenMeterGeneric2";
			this.nuGenMeterGeneric2.ProgressTextBackColor = System.Drawing.SystemColors.Control;
			this.nuGenMeterGeneric2.ProgressTextBorderColor = System.Drawing.Color.Black;
			this.nuGenMeterGeneric2.ProgressTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.nuGenMeterGeneric2.ProgressTextForeColor = System.Drawing.SystemColors.ControlText;
			this.nuGenMeterGeneric2.ProgressTextVisible = false;
			this.nuGenMeterGeneric2.Size = new System.Drawing.Size(104, 208);
			this.nuGenMeterGeneric2.TabIndex = 5;
			// 
			// nuGenMeterGeneric6
			// 
			this.nuGenMeterGeneric6.BackgroundStyle = Genetibase.Shared.NuGenBackgroundStyle.Tube;
			this.nuGenMeterGeneric6.BackTubeGradientEndColor = System.Drawing.Color.Gainsboro;
			this.nuGenMeterGeneric6.BackTubeGradientStartColor = System.Drawing.Color.DimGray;
			this.nuGenMeterGeneric6.BorderStyle = Genetibase.Shared.NuGenBorderStyle.Solid;
			this.nuGenMeterGeneric6.CaptionText = "% Processor Time";
			this.nuGenMeterGeneric6.CaptionTextBackColor = System.Drawing.SystemColors.Control;
			this.nuGenMeterGeneric6.CaptionTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.nuGenMeterGeneric6.CaptionTextForeColor = System.Drawing.SystemColors.ControlText;
			this.nuGenMeterGeneric6.CaptionTextVisible = false;
			this.nuGenMeterGeneric6.CategoryName = "Processor";
			this.nuGenMeterGeneric6.CounterFormat = "%";
			this.nuGenMeterGeneric6.CounterName = "% Processor Time";
			this.nuGenMeterGeneric6.ForegroundStyle = Genetibase.Shared.NuGenBackgroundStyle.Tube;
			this.nuGenMeterGeneric6.InstanceName = "_Total";
			this.nuGenMeterGeneric6.Location = new System.Drawing.Point(232, 8);
			this.nuGenMeterGeneric6.MachineName = ".";
			this.nuGenMeterGeneric6.Name = "nuGenMeterGeneric6";
			this.nuGenMeterGeneric6.ProgressTextBackColor = System.Drawing.SystemColors.Control;
			this.nuGenMeterGeneric6.ProgressTextBorderColor = System.Drawing.Color.Black;
			this.nuGenMeterGeneric6.ProgressTextBorderStyle = Genetibase.Shared.NuGenBorderStyle.Dotted;
			this.nuGenMeterGeneric6.ProgressTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.nuGenMeterGeneric6.ProgressTextForeColor = System.Drawing.SystemColors.ControlText;
			this.nuGenMeterGeneric6.Size = new System.Drawing.Size(104, 208);
			this.nuGenMeterGeneric6.TabIndex = 6;
			this.nuGenMeterGeneric6.TickLine = false;
			this.nuGenMeterGeneric6.TubeGradientEndColor = System.Drawing.Color.DimGray;
			this.nuGenMeterGeneric6.TubeGradientStartColor = System.Drawing.Color.White;
			// 
			// nuGenMeterGeneric1
			// 
			this.nuGenMeterGeneric1.BackgroundColor = System.Drawing.Color.Red;
			this.nuGenMeterGeneric1.BackgroundImage = ((System.Drawing.Image)(resources.GetObject("nuGenMeterGeneric1.BackgroundImage")));
			this.nuGenMeterGeneric1.BackgroundStyle = Genetibase.Shared.NuGenBackgroundStyle.Tube;
			this.nuGenMeterGeneric1.BackgroundTransparency = 10;
			this.nuGenMeterGeneric1.BorderStyle = Genetibase.Shared.NuGenBorderStyle.Solid;
			this.nuGenMeterGeneric1.CaptionText = "% Processor Time";
			this.nuGenMeterGeneric1.CaptionTextBackColor = System.Drawing.SystemColors.Control;
			this.nuGenMeterGeneric1.CaptionTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.nuGenMeterGeneric1.CaptionTextForeColor = System.Drawing.SystemColors.ControlText;
			this.nuGenMeterGeneric1.CaptionTextVisible = false;
			this.nuGenMeterGeneric1.CategoryName = "Processor";
			this.nuGenMeterGeneric1.CounterFormat = "%";
			this.nuGenMeterGeneric1.CounterName = "% Processor Time";
			this.nuGenMeterGeneric1.ForegroundColor = System.Drawing.Color.White;
			this.nuGenMeterGeneric1.ForegroundStyle = Genetibase.Shared.NuGenBackgroundStyle.Constant;
			this.nuGenMeterGeneric1.ForegroundTransparency = 35;
			this.nuGenMeterGeneric1.InstanceName = "_Total";
			this.nuGenMeterGeneric1.Location = new System.Drawing.Point(344, 8);
			this.nuGenMeterGeneric1.MachineName = ".";
			this.nuGenMeterGeneric1.Name = "nuGenMeterGeneric1";
			this.nuGenMeterGeneric1.Orientation = Genetibase.Shared.NuGenOrientationStyle.Horizontal;
			this.nuGenMeterGeneric1.ProgressTextBackColor = System.Drawing.SystemColors.Control;
			this.nuGenMeterGeneric1.ProgressTextBorderColor = System.Drawing.Color.Black;
			this.nuGenMeterGeneric1.ProgressTextBorderStyle = Genetibase.Shared.NuGenBorderStyle.Dotted;
			this.nuGenMeterGeneric1.ProgressTextEdgeIndent = 50;
			this.nuGenMeterGeneric1.ProgressTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(204)));
			this.nuGenMeterGeneric1.ProgressTextForeColor = System.Drawing.SystemColors.ControlText;
			this.nuGenMeterGeneric1.ProgressTextVisible = false;
			this.nuGenMeterGeneric1.Size = new System.Drawing.Size(232, 64);
			this.nuGenMeterGeneric1.StretchImage = true;
			this.nuGenMeterGeneric1.TabIndex = 7;
			this.nuGenMeterGeneric1.TickLine = false;
			// 
			// enableButton
			// 
			this.enableButton.FlatStyle = System.Windows.Forms.FlatStyle.System;
			this.enableButton.Location = new System.Drawing.Point(344, 80);
			this.enableButton.Name = "enableButton";
			this.enableButton.Size = new System.Drawing.Size(232, 24);
			this.enableButton.TabIndex = 8;
			this.enableButton.Text = "&Disable";
			this.enableButton.Click += new System.EventHandler(this.enableButton_Click);
			// 
			// MainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(586, 224);
			this.Controls.Add(this.enableButton);
			this.Controls.Add(this.nuGenMeterGeneric1);
			this.Controls.Add(this.nuGenMeterGeneric6);
			this.Controls.Add(this.nuGenMeterGeneric2);
			this.Controls.Add(this.nuGenMeterGeneric5);
			this.Controls.Add(this.nuGenMeterGeneric4);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
			this.MaximizeBox = false;
			this.Name = "MainForm";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "MeterDemo";
			this.ResumeLayout(false);

		}
		
		#endregion
	}
}
